import numpy as np
from matplotlib import pyplot as plt
import matplotlib as mpl

mpl.rcParams.update({'font.size':18})

deutden = np.genfromtxt('fdeutden.dat')
tritden = np.genfromtxt('ftritden.dat')
neutden  = np.genfromtxt('neutden.dat')

deutden2 = np.genfromtxt('../../run2/fdeutden.dat')

plt.plot(deutden[:,0]/1e-12,deutden[:,1],'g',lw=2.0,label = 'D')
plt.plot(tritden[:,0]/1e-12,tritden[:,1],'r',lw=2.0,label = 'T')
plt.plot(neutden[:,0]/1e-12,neutden[:,1],'b',lw=2.0,label = 'n')
plt.xlabel(r'$t$ (ps)')
plt.ylabel(r'$n$')
plt.grid()
plt.legend(loc = 'upper left')
plt.show()

plt.semilogy(deutden[:,0]/1e-12,deutden[:,1],'g',lw=2.0,label = 'w TN burn')
plt.semilogy(deutden2[:,0]/1e-12,deutden2[:,1],'r',lw=2.0,label = 'w/o TN burn')
plt.xlabel(r'$t$ (ps)')
plt.ylabel(r'$n$')
plt.grid()
plt.legend(loc = 'upper left')
plt.show()